Description: Add missing __getstate__ method to TinyDict
Author: Maximilian Gass <maximilian.gass@credativ.de>
Forwarded: no

--- a/web/addons/openerp/utils/utils.py
+++ b/web/addons/openerp/utils/utils.py
@@ -132,6 +132,12 @@
         nm = '_terp_%s' % name
         return self.get(nm, self.get(name, None))
 
+    # if __getaddr__ and __setaddr__ are defined, one also needs to
+    # define __getstate__, otherwise pickle will fail. pickle is used
+    # by the file backend of CherryPy's session storage
+    def __getstate__(self):
+        return self.__dict__
+
     def __setitem__(self, name, value):
         value = self._eval(value)
         super(TinyDict, self).__setitem__(name, value)
